Document collaboration

Propose an exact native edit or an external change

POST
/v1/documents/{documentId}/suggestions

Authorization

bearerAuth
AuthorizationBearer <token>

A personal API key (psk_…) or an OAuth access token (plan_at_…). Scopes: read, write.

In: header

Path Parameters

documentId*string

The documentId.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/documents/string/suggestions" \  -H "Content-Type: application/json" \  -d '{    "requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6",    "discussionPlanId": null,    "proposal": {      "mode": "native",      "operation": "insert",      "baseRevision": "string",      "sourceRevision": null,      "destinationRevision": "string",      "start": 0,      "end": 0,      "original": "string",      "proposed": "string"    },    "rationale": {      "markdown": "string",      "mentions": []    },    "anchor": {      "kind": "document"    }  }'
{  "eventId": "string",  "suggestionId": "string",  "threadId": "string",  "version": 0,  "state": "string",  "acceptedRevision": "string",  "commitId": "string"}